# BoxOutlineGeometry

#### new Cesium.BoxOutlineGeometry(options)
Core/BoxOutlineGeometry.js 54

A description of the outline of a cube centered at the origin.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`minimum` | Cartesian3 | The minimum x, y, and z coordinates of the box.
`maximum` | Cartesian3 | The maximum x, y, and z coordinates of the box.

##### Example:

    var box = new Cesium.BoxOutlineGeometry({
      maximum : new Cesium.Cartesian3(250000.0, 250000.0, 250000.0),
      minimum : new Cesium.Cartesian3(-250000.0, -250000.0, -250000.0)
    });
    var geometry = Cesium.BoxOutlineGeometry.createGeometry(box);

##### See:

- BoxOutlineGeometry.fromDimensions
- BoxOutlineGeometry.createGeometry
- Packable

### Members

#### staticCesium.BoxOutlineGeometry.packedLength : Number
Core/BoxOutlineGeometry.js 147

The number of elements used to pack the object into an array.

### Methods

#### staticCesium.BoxOutlineGeometry.createGeometry(boxGeometry) → Geometry|undefined
Core/BoxOutlineGeometry.js 218

Computes the geometric representation of an outline of a box, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`boxGeometry` | BoxOutlineGeometry | A description of the box outline.

##### Returns:

The computed vertices and indices.

#### staticCesium.BoxOutlineGeometry.fromAxisAlignedBoundingBox(boundingBox) → BoxOutlineGeometry
Core/BoxOutlineGeometry.js 132

Creates an outline of a cube from the dimensions of an AxisAlignedBoundingBox.

Name | Type | Description
--- | --- | ---
`boundingBox` | AxisAlignedBoundingBox | A description of the AxisAlignedBoundingBox.

##### Returns:

##### Example:

    var aabb = Cesium.AxisAlignedBoundingBox.fromPoints(Cesium.Cartesian3.fromDegreesArray([
         -72.0, 40.0,
         -70.0, 35.0,
         -75.0, 30.0,
         -70.0, 30.0,
         -68.0, 40.0
    ]));
    var box = Cesium.BoxOutlineGeometry.fromAxisAlignedBoundingBox(aabb);

##### See:

- BoxOutlineGeometry.createGeometry

#### staticCesium.BoxOutlineGeometry.fromDimensions(options) → BoxOutlineGeometry
Core/BoxOutlineGeometry.js 92

Creates an outline of a cube centered at the origin given its dimensions.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`dimensions` | Cartesian3 | The width, depth, and height of the box stored in the x, y, and z coordinates of the `Cartesian3`, respectively.

##### Returns:

##### Throws:

- DeveloperError : All dimensions components must be greater than or equal to zero.

##### Example:

    var box = Cesium.BoxOutlineGeometry.fromDimensions({
      dimensions : new Cesium.Cartesian3(500000.0, 500000.0, 500000.0)
    });
    var geometry = Cesium.BoxOutlineGeometry.createGeometry(box);

##### See:

- BoxOutlineGeometry.createGeometry

#### staticCesium.BoxOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/BoxOutlineGeometry.js 158

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | BoxOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### staticCesium.BoxOutlineGeometry.unpack(array, startingIndex, result) → BoxOutlineGeometry
Core/BoxOutlineGeometry.js 189

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | BoxOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new BoxOutlineGeometry instance if one was not provided.